Subject: RE: Why MSDP?

From: Mike diVittorio <[email-masked]>
Date: Thu, 22 Mar 2001 15:30:51 -0800

I have no idea how I got on this distribution, but it does sound like
exciting stuff.  Please remove me if you are able.  Thanks.

Mike
 -----Original Message-----
From: 	Nagesh Chintada [mailto:[email-masked]] 
Sent:	Thursday, March 22, 2001 2:31 PM
To:	John M. Zwiebel
Cc:	SSM; [email-masked]; [email-masked]
Subject:	Re: Why MSDP?

John,
See below.

"John M. Zwiebel" wrote:

> MSDP is required for ISM - or "internet standard multicast".
> ISM is not SSM in that it allows building of shared-trees within
> an AS which SSM does not.  The receiver does not need to know
> who the senders to a given group are.

Agreed.

>
>
> SSM builds only shortest-path trees because the host can signal
> to the last hop router the specific hosts (senders) it wants to
> listen to.  This rendezvous mechanism is outside of the PIM
> protocol and can be discovered any way the application writer
> wants it to be.
>

Agreed.

>
> MSDP is not required (and not used) to support SSM groups.
>

Agreed.

>
> Host routes are not needed in MBGP to be able to join toward the
> shortest-path across the internet.
>

Agreed. for SSM.

My question is perhaps not clear, and is nothing to do with SSM.

To rephrase, if all that MSDP is doing is to advertize sources, why not let
MBGP
to do the same?

Note that once an RP detects a new source ( via MBGP advt rather than MSDP
in this
case), it can send a Join to the source in the neighboring domain and setup
the
tree as it currently does.

I agree that the implementations will have to rely on policy for MBGP route
insertion in the originating domain and redistribution ( perhaps?) to PIM in
the
destination domain.

I hope that is clear.

-
Nagesh

>
>  ^ Greetings,
>  ^
>  ^ I have a very basic question:
>  ^
>  ^ First, the context:
>  ^ For inter-domain Multicasting, one would typically deploy
>  ^ PIM-SM/MBGP/MSDP protocols.....
>  ^ MBGP for announcing  routes that include subnets containing multicast
>  ^ sources, and MSDP
>  ^ to announce sources.
>  ^
>  ^ Since MBGP already has the capability to announce multicast routes, why
>  ^ not announce host routes of multicast sources as well, using MBGP? If
>  ^ necessary, one can think of a simple extension to MBGP to mark the host
>  ^ route as a "source route". IMHO, this will make it much easier to
deploy
>  ^ Multicast without having to worry about delpoying MSDP.
>  ^
>  ^ Any comments?
>  ^
>  ^ Best Regards,
>  ^ Nagesh
>  ^
>
>
----------------------------------------------------------------------------
--
>         John Zwiebel                       Phone: 408-526-5303
>         Cisco Systems Inc.
>         IP Multicast Group